<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation of the AdvanceCAB <em>videow</em> utility.
</p>

<h2><a name="1">1</a> 
Synopsis
</h2>
<pre>
videow [/s XxYxBITS] [/a] [/o] [/e] [/d] [/c FILE] [/p]
&nbsp;&nbsp;&nbsp;&nbsp;[/n SIZE] [/m]
</pre>
<h2><a name="2">2</a> 
Description
</h2>
The `videow' utility can be used to control the video
output of the PC in Windows NT/2000/XP.
<p>
It requires the `svgawin' driver installed and running.
<p>
The modelines are read from the file `videow.rc'.
The format of this configuration file is specified in the
document `advv.txt'.
<p>
These are some example rc files:
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
ntsc.rc
</em></td><td width="90%">
NTSC TV.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pal.rc
</em></td><td width="90%">
PAL TV.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
standard.rc
</em></td><td width="90%">
Arcade Standard Resolution (15 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
medium.rc
</em></td><td width="90%">
Arcade Medium Resolution (25 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
extended.rc
</em></td><td width="90%">
Arcade Extended Resolution (16.5 kHz).
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pcvga.rc
</em></td><td width="90%">
VGA PC Monitor.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
pcsvga60.rc
</em></td><td width="90%">
SVGA PC Multisync Monitor.
</td></tr>
</table>
<h2><a name="3">3</a> 
Options
</h2>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/s XxYxBITS
</strong></td></tr><tr><td>
Set an arbitrary video mode using the first modeline
with the correct size found in the config file.
You can specify only resolutions already supported by
Windows. You cannot create new resolutions.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/a
</strong></td></tr><tr><td>
Adjust the current video mode using the first modeline
with the correct size found in the config file.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/o
</strong></td></tr><tr><td>
Set the original Windows mode. Use this option if
the screen become unreadable.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/d
</strong></td></tr><tr><td>
Disable the hardware video signal.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/e
</strong></td></tr><tr><td>
Enable the hardware video signal.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/c CONFIG
</strong></td></tr><tr><td>
Use an arbitrary configuration file instead of the
standard `videow.rc' file.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/p
</strong></td></tr><tr><td>
Print some info of the video board.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/n SIZE
</strong></td></tr><tr><td>
Set the length of the scanline in bytes. The program
automatically select the smallest scanline size.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
/m
</strong></td></tr><tr><td>
Enable the use of the hardware mouse pointer.
</td></tr>
</table>
<h2><a name="4">4</a> 
Cards
</h2>
The program supports all the `svgawin' drivers listed in the
`cardwin.txt' file.
<p>
You can force the use of a specific driver using the `device_video'
option in the configuration file.
<p>
The available drivers are :
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/auto
</em></td><td width="90%">
Auto detection.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/nv3
</em></td><td width="90%">
nVidia Riva/GeForce.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/trident
</em></td><td width="90%">
Trident.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/rendition
</em></td><td width="90%">
Rendition.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/g400
</em></td><td width="90%">
Matrox Mystique/G100/G200/G400/G450.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/pm2
</em></td><td width="90%">
Permedia 2.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/savage
</em></td><td width="90%">
S3 Savage.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/millenium
</em></td><td width="90%">
Matrox Millennium/Millenium II.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/r128
</em></td><td width="90%">
ATI Rage 128/Radeon.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/banshee
</em></td><td width="90%">
3dfx Voodoo Banshee/3/4/5.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/sis
</em></td><td width="90%">
SIS.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/i740
</em></td><td width="90%">
Intel i740.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/laguna
</em></td><td width="90%">
Cirrus Logic Laguna 5462/5464/5465.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/rage
</em></td><td width="90%">
ATI Rage.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/mx
</em></td><td width="90%">
MX.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/et6000
</em></td><td width="90%">
ET6000.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/s3
</em></td><td width="90%">
S3.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/ark
</em></td><td width="90%">
ARK.
</td></tr>
<tr valign="top" align="left"><td width="5%"></td><td width="5%"><em>
svgawin/apm
</em></td><td width="90%">
APM.
</td></tr>
</table>
<h2><a name="5">5</a> 
Limitations
</h2>
<ul>
<li>
The program can only set the resolutions originally supported
by Windows. It cannot create new resolutions.
</li>
<li>
If the video board or the video driver doesn't support interlaced
modes, these modes are simulated skipping every odd row.
It doesn't look very good.
</li>
<li>
The program doesn't stay resident, any successive mode change will
reset the original video mode.
</li>
</ul>
<h2><a name="6">6</a> 
Troubleshooting
</h2>
<ul>
<li>
If the mouse pointer disappears try to reenable it with the /m option.
</li>
</ul>
<ul>
<li>
If the screen image is stable but garbled it's probably because
the Windows video driver uses a not standard scanline size.
Try to guess it with the /n option. You should start
with the resolution width multiplied by the bytes per pixel.
Then, increase this value until the screen become readable.
Generally the correct value is multiplier of 2^n where n
may vary from 1 to 8.
</li>
</ul>
<ul>
<li>
Try decreasing the video hardware acceleration.
</li>
</ul>
<h2><a name="7">7</a> 
Tests
</h2>
Windows 2000 with a GeForce 2 board
<br>
<h2><a name="8">8</a> 
Examples
</h2>
Set a 640x480 mode with 16 bits per pixel:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
videow /s 640x480x16
</pre>
</td></tr></table>
<p>
Adjust the current mode:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
videow /a
</pre>
</td></tr></table>
<h2><a name="9">9</a> 
Bugs
</h2>
The configuration file is checked only for the
`device_video_modeline' and `device_video' options.
All the other options are ignored.


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


